Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/sys/external/bsd/drm2 Scripts to generate radeon and intel f...



details:   https://anonhg.NetBSD.org/src/rev/cc7ae110b7da
branches:  trunk
changeset: 834768:cc7ae110b7da
user:      riastradh <riastradh%NetBSD.org@localhost>
date:      Mon Aug 27 05:36:15 2018 +0000

description:
Scripts to generate radeon and intel file lists.

diffstat:

 sys/external/bsd/drm2/i915drm/i915drmkms2netbsd |  26 +++++++++++++++++++++++++
 sys/external/bsd/drm2/radeon/radeon2netbsd      |  26 +++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 0 deletions(-)

diffs (60 lines):

diff -r 143afddf019e -r cc7ae110b7da sys/external/bsd/drm2/i915drm/i915drmkms2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sys/external/bsd/drm2/i915drm/i915drmkms2netbsd   Mon Aug 27 05:36:15 2018 +0000
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#      $NetBSD: i915drmkms2netbsd,v 1.1 2018/08/27 05:36:15 riastradh Exp $
+#
+# $ /path/to/i915drmkms2netbsd > /path/to/files.i915drmkms.new
+#
+# Run from the top-level i915drmkms source directory.
+
+set -Ceu
+
+# Location of the i915drmkms sources relative to $NETBSDSRCDIR.
+i915drmkms_top=external/bsd/drm2/dist/drm/i915
+
+# config(5) flag for the i915drmkms driver.
+i915drmkms_flag=i915drmkms
+
+env CONFIG_ACPI=y \
+env src=. \
+make -f Makefile -V '$(i915-y)' \
+| tr ' ' '\n' \
+| grep -v '^$' \
+| sed -e 's,\.o$,.c,' \
+| sort -u \
+| while read f; do
+       printf 'file\t%s\t%s\n' "$i915drmkms_top/$f" "$i915drmkms_flag"
+done
diff -r 143afddf019e -r cc7ae110b7da sys/external/bsd/drm2/radeon/radeon2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sys/external/bsd/drm2/radeon/radeon2netbsd        Mon Aug 27 05:36:15 2018 +0000
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#      $NetBSD: radeon2netbsd,v 1.1 2018/08/27 05:36:15 riastradh Exp $
+#
+# $ /path/to/radeon2netbsd > /path/to/files.radeon.new
+#
+# Run from the top-level Radeon source directory.
+
+set -Ceu
+
+# Location of the Radeon sources relative to $NETBSDSRCDIR.
+radeon_top=external/bsd/drm2/dist/drm/radeon
+
+# config(5) flag for the Radeon driver.
+radeon_flag=radeon
+
+env CONFIG_ACPI=y \
+env src=. \
+make -f Makefile -V '$(radeon-y)' \
+| tr ' ' '\n' \
+| grep -v '^$' \
+| sed -e 's,\.o$,.c,' \
+| sort -u \
+| while read f; do
+       printf 'file\t%s\t%s\n' "$radeon_top/$f" "$radeon_flag"
+done



Home | Main Index | Thread Index | Old Index